package md

type CentralKitchenForSchoolOrderListReq struct {
	UserIdentityId int `json:"user_identity_id" label:"用户身份id"`
	Limit          int `json:"limit"`
	Page           int `json:"page" `
	OrdState       int `json:"ord_state" `
}

type CentralKitchenForSchoolOrderRefundReq struct {
	OutTradeNo string `json:"out_trade_no" label:"订单号"`
	Id         int    `json:"id" binding:"required" label:"就餐记录id"`
}

type CentralKitchenForSchoolOrderRefundListReq struct {
	UserIdentityId int `json:"user_identity_id" label:"用户身份id"`
	Limit          int `json:"limit"`
	Page           int `json:"page" `
	State          int `json:"state" `
}

type CentralKitchenForSchoolOrderRefundListResp struct {
	OutTradeNo   string `json:"out_trade_no" label:"订单号"`
	OutRequestNo string `json:"out_request_no" label:"退款请求号"`
	Kind         int    `json:"kind" label:"预定类型"`
	CreateAt     string `json:"create_at" label:"退款时间"`
	Date         string `json:"date" label:"预定时间"`
	State        int    `json:"state" label:"退款状态"`
	Memo         string `json:"memo" label:"备注"`
	Amount       string `json:"amount" label:"退款金额"`
}

type CentralKitchenForSchoolMyReserveResp struct {
	Date           string                                     `json:"date" label:"日期"`
	BreakfastTotal int                                        `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal     int                                        `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal    int                                        `json:"dinner_total" label:"晚餐-总计"`
	Total          int                                        `json:"total" label:"数量-总计"`
	List           []CentralKitchenForSchoolMyReserveRespList `json:"list" label:"列表"`
}

type CentralKitchenForSchoolMyReserveRespList struct {
	Date           string `json:"date" label:"日期"`
	BreakfastTotal int    `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal     int    `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal    int    `json:"dinner_total" label:"晚餐-总计"`
}
