package hdl

import (
	"applet/app/admin/lib/validate"
	"applet/app/customer/md"
	"applet/app/customer/svc"
	"applet/app/e"
	"github.com/gin-gonic/gin"
)

func CurlAlipayPlanetEcocampusApiRosterSignUpInfo(c *gin.Context) {
	var req md.CurlAlipayPlanetEcocampusApiRosterSignUpInfoReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	err, resp := svc.CurlAlipayPlanetEcocampusApiRosterSignUpInfo(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, resp, nil)
	return
}
