package enum

type EnterpriseState int32

const (
	EnterpriseStateForNormal = 1
	EnterpriseStateForFreeze = 2
)

func (gt EnterpriseState) String() string {
	switch gt {
	case EnterpriseStateForNormal:
		return "正常"
	case EnterpriseStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}

type EnterprisePvd int32

const (
	EnterprisePvdByCentralKitchenForSchool  = 1
	EnterprisePvdByCentralKitchenForFactory = 2
	EnterprisePvdBySelfSupportForSchool     = 3
	EnterprisePvdBySelfSupportForFactory    = 4
)

func (gt EnterprisePvd) String() string {
	switch gt {
	case EnterprisePvdByCentralKitchenForSchool:
		return "央厨-学校"
	case EnterprisePvdByCentralKitchenForFactory:
		return "央厨-工厂"
	case EnterprisePvdBySelfSupportForSchool:
		return "自营-学校"
	case EnterprisePvdBySelfSupportForFactory:
		return "自营-工厂"
	default:
		return "未知"
	}
}
